Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network205.78.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
205.78.0.0
Broadcast address
205.79.255.255
First usable
205.78.0.1
Last usable
205.79.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
C (default /24)
As numbers
Hex CD4E0000 · Integer 3444441088 to 3444572159
Reverse DNS zones
78.205.in-addr.arpa
79.205.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001101.01001110.00000000.00000000205.78.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network11001101.01001110.00000000.00000000205.78.0.0
Broadcast11001101.01001111.11111111.11111111205.79.255.255
Split into smaller subnets/25

205.78.0.0/15 makes 1,024 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1205.78.0.0/25205.78.0.1 to 205.78.0.126205.78.0.127126
2205.78.0.128/25205.78.0.129 to 205.78.0.254205.78.0.255126
3205.78.1.0/25205.78.1.1 to 205.78.1.126205.78.1.127126
4205.78.1.128/25205.78.1.129 to 205.78.1.254205.78.1.255126
5205.78.2.0/25205.78.2.1 to 205.78.2.126205.78.2.127126
6205.78.2.128/25205.78.2.129 to 205.78.2.254205.78.2.255126
7205.78.3.0/25205.78.3.1 to 205.78.3.126205.78.3.127126
8205.78.3.128/25205.78.3.129 to 205.78.3.254205.78.3.255126
9205.78.4.0/25205.78.4.1 to 205.78.4.126205.78.4.127126
10205.78.4.128/25205.78.4.129 to 205.78.4.254205.78.4.255126
11205.78.5.0/25205.78.5.1 to 205.78.5.126205.78.5.127126
12205.78.5.128/25205.78.5.129 to 205.78.5.254205.78.5.255126
13205.78.6.0/25205.78.6.1 to 205.78.6.126205.78.6.127126
14205.78.6.128/25205.78.6.129 to 205.78.6.254205.78.6.255126
15205.78.7.0/25205.78.7.1 to 205.78.7.126205.78.7.127126
16205.78.7.128/25205.78.7.129 to 205.78.7.254205.78.7.255126
17205.78.8.0/25205.78.8.1 to 205.78.8.126205.78.8.127126
18205.78.8.128/25205.78.8.129 to 205.78.8.254205.78.8.255126
19205.78.9.0/25205.78.9.1 to 205.78.9.126205.78.9.127126
20205.78.9.128/25205.78.9.129 to 205.78.9.254205.78.9.255126
21205.78.10.0/25205.78.10.1 to 205.78.10.126205.78.10.127126
22205.78.10.128/25205.78.10.129 to 205.78.10.254205.78.10.255126
23205.78.11.0/25205.78.11.1 to 205.78.11.126205.78.11.127126
24205.78.11.128/25205.78.11.129 to 205.78.11.254205.78.11.255126
25205.78.12.0/25205.78.12.1 to 205.78.12.126205.78.12.127126
26205.78.12.128/25205.78.12.129 to 205.78.12.254205.78.12.255126
27205.78.13.0/25205.78.13.1 to 205.78.13.126205.78.13.127126
28205.78.13.128/25205.78.13.129 to 205.78.13.254205.78.13.255126
29205.78.14.0/25205.78.14.1 to 205.78.14.126205.78.14.127126
30205.78.14.128/25205.78.14.129 to 205.78.14.254205.78.14.255126
31205.78.15.0/25205.78.15.1 to 205.78.15.126205.78.15.127126
32205.78.15.128/25205.78.15.129 to 205.78.15.254205.78.15.255126
33205.78.16.0/25205.78.16.1 to 205.78.16.126205.78.16.127126
34205.78.16.128/25205.78.16.129 to 205.78.16.254205.78.16.255126
35205.78.17.0/25205.78.17.1 to 205.78.17.126205.78.17.127126
36205.78.17.128/25205.78.17.129 to 205.78.17.254205.78.17.255126
37205.78.18.0/25205.78.18.1 to 205.78.18.126205.78.18.127126
38205.78.18.128/25205.78.18.129 to 205.78.18.254205.78.18.255126
39205.78.19.0/25205.78.19.1 to 205.78.19.126205.78.19.127126
40205.78.19.128/25205.78.19.129 to 205.78.19.254205.78.19.255126
41205.78.20.0/25205.78.20.1 to 205.78.20.126205.78.20.127126
42205.78.20.128/25205.78.20.129 to 205.78.20.254205.78.20.255126
43205.78.21.0/25205.78.21.1 to 205.78.21.126205.78.21.127126
44205.78.21.128/25205.78.21.129 to 205.78.21.254205.78.21.255126
45205.78.22.0/25205.78.22.1 to 205.78.22.126205.78.22.127126
46205.78.22.128/25205.78.22.129 to 205.78.22.254205.78.22.255126
47205.78.23.0/25205.78.23.1 to 205.78.23.126205.78.23.127126
48205.78.23.128/25205.78.23.129 to 205.78.23.254205.78.23.255126
49205.78.24.0/25205.78.24.1 to 205.78.24.126205.78.24.127126
50205.78.24.128/25205.78.24.129 to 205.78.24.254205.78.24.255126
51205.78.25.0/25205.78.25.1 to 205.78.25.126205.78.25.127126
52205.78.25.128/25205.78.25.129 to 205.78.25.254205.78.25.255126
53205.78.26.0/25205.78.26.1 to 205.78.26.126205.78.26.127126
54205.78.26.128/25205.78.26.129 to 205.78.26.254205.78.26.255126
55205.78.27.0/25205.78.27.1 to 205.78.27.126205.78.27.127126
56205.78.27.128/25205.78.27.129 to 205.78.27.254205.78.27.255126
57205.78.28.0/25205.78.28.1 to 205.78.28.126205.78.28.127126
58205.78.28.128/25205.78.28.129 to 205.78.28.254205.78.28.255126
59205.78.29.0/25205.78.29.1 to 205.78.29.126205.78.29.127126
60205.78.29.128/25205.78.29.129 to 205.78.29.254205.78.29.255126
61205.78.30.0/25205.78.30.1 to 205.78.30.126205.78.30.127126
62205.78.30.128/25205.78.30.129 to 205.78.30.254205.78.30.255126
63205.78.31.0/25205.78.31.1 to 205.78.31.126205.78.31.127126
64205.78.31.128/25205.78.31.129 to 205.78.31.254205.78.31.255126
65205.78.32.0/25205.78.32.1 to 205.78.32.126205.78.32.127126
66205.78.32.128/25205.78.32.129 to 205.78.32.254205.78.32.255126
67205.78.33.0/25205.78.33.1 to 205.78.33.126205.78.33.127126
68205.78.33.128/25205.78.33.129 to 205.78.33.254205.78.33.255126
69205.78.34.0/25205.78.34.1 to 205.78.34.126205.78.34.127126
70205.78.34.128/25205.78.34.129 to 205.78.34.254205.78.34.255126
71205.78.35.0/25205.78.35.1 to 205.78.35.126205.78.35.127126
72205.78.35.128/25205.78.35.129 to 205.78.35.254205.78.35.255126
73205.78.36.0/25205.78.36.1 to 205.78.36.126205.78.36.127126
74205.78.36.128/25205.78.36.129 to 205.78.36.254205.78.36.255126
75205.78.37.0/25205.78.37.1 to 205.78.37.126205.78.37.127126
76205.78.37.128/25205.78.37.129 to 205.78.37.254205.78.37.255126
77205.78.38.0/25205.78.38.1 to 205.78.38.126205.78.38.127126
78205.78.38.128/25205.78.38.129 to 205.78.38.254205.78.38.255126
79205.78.39.0/25205.78.39.1 to 205.78.39.126205.78.39.127126
80205.78.39.128/25205.78.39.129 to 205.78.39.254205.78.39.255126
81205.78.40.0/25205.78.40.1 to 205.78.40.126205.78.40.127126
82205.78.40.128/25205.78.40.129 to 205.78.40.254205.78.40.255126
83205.78.41.0/25205.78.41.1 to 205.78.41.126205.78.41.127126
84205.78.41.128/25205.78.41.129 to 205.78.41.254205.78.41.255126
85205.78.42.0/25205.78.42.1 to 205.78.42.126205.78.42.127126
86205.78.42.128/25205.78.42.129 to 205.78.42.254205.78.42.255126
87205.78.43.0/25205.78.43.1 to 205.78.43.126205.78.43.127126
88205.78.43.128/25205.78.43.129 to 205.78.43.254205.78.43.255126
89205.78.44.0/25205.78.44.1 to 205.78.44.126205.78.44.127126
90205.78.44.128/25205.78.44.129 to 205.78.44.254205.78.44.255126
91205.78.45.0/25205.78.45.1 to 205.78.45.126205.78.45.127126
92205.78.45.128/25205.78.45.129 to 205.78.45.254205.78.45.255126
93205.78.46.0/25205.78.46.1 to 205.78.46.126205.78.46.127126
94205.78.46.128/25205.78.46.129 to 205.78.46.254205.78.46.255126
95205.78.47.0/25205.78.47.1 to 205.78.47.126205.78.47.127126
96205.78.47.128/25205.78.47.129 to 205.78.47.254205.78.47.255126
97205.78.48.0/25205.78.48.1 to 205.78.48.126205.78.48.127126
98205.78.48.128/25205.78.48.129 to 205.78.48.254205.78.48.255126
99205.78.49.0/25205.78.49.1 to 205.78.49.126205.78.49.127126
100205.78.49.128/25205.78.49.129 to 205.78.49.254205.78.49.255126
101205.78.50.0/25205.78.50.1 to 205.78.50.126205.78.50.127126
102205.78.50.128/25205.78.50.129 to 205.78.50.254205.78.50.255126
103205.78.51.0/25205.78.51.1 to 205.78.51.126205.78.51.127126
104205.78.51.128/25205.78.51.129 to 205.78.51.254205.78.51.255126
105205.78.52.0/25205.78.52.1 to 205.78.52.126205.78.52.127126
106205.78.52.128/25205.78.52.129 to 205.78.52.254205.78.52.255126
107205.78.53.0/25205.78.53.1 to 205.78.53.126205.78.53.127126
108205.78.53.128/25205.78.53.129 to 205.78.53.254205.78.53.255126
109205.78.54.0/25205.78.54.1 to 205.78.54.126205.78.54.127126
110205.78.54.128/25205.78.54.129 to 205.78.54.254205.78.54.255126
111205.78.55.0/25205.78.55.1 to 205.78.55.126205.78.55.127126
112205.78.55.128/25205.78.55.129 to 205.78.55.254205.78.55.255126
113205.78.56.0/25205.78.56.1 to 205.78.56.126205.78.56.127126
114205.78.56.128/25205.78.56.129 to 205.78.56.254205.78.56.255126
115205.78.57.0/25205.78.57.1 to 205.78.57.126205.78.57.127126
116205.78.57.128/25205.78.57.129 to 205.78.57.254205.78.57.255126
117205.78.58.0/25205.78.58.1 to 205.78.58.126205.78.58.127126
118205.78.58.128/25205.78.58.129 to 205.78.58.254205.78.58.255126
119205.78.59.0/25205.78.59.1 to 205.78.59.126205.78.59.127126
120205.78.59.128/25205.78.59.129 to 205.78.59.254205.78.59.255126
121205.78.60.0/25205.78.60.1 to 205.78.60.126205.78.60.127126
122205.78.60.128/25205.78.60.129 to 205.78.60.254205.78.60.255126
123205.78.61.0/25205.78.61.1 to 205.78.61.126205.78.61.127126
124205.78.61.128/25205.78.61.129 to 205.78.61.254205.78.61.255126
125205.78.62.0/25205.78.62.1 to 205.78.62.126205.78.62.127126
126205.78.62.128/25205.78.62.129 to 205.78.62.254205.78.62.255126
127205.78.63.0/25205.78.63.1 to 205.78.63.126205.78.63.127126
128205.78.63.128/25205.78.63.129 to 205.78.63.254205.78.63.255126
129205.78.64.0/25205.78.64.1 to 205.78.64.126205.78.64.127126
130205.78.64.128/25205.78.64.129 to 205.78.64.254205.78.64.255126
131205.78.65.0/25205.78.65.1 to 205.78.65.126205.78.65.127126
132205.78.65.128/25205.78.65.129 to 205.78.65.254205.78.65.255126
133205.78.66.0/25205.78.66.1 to 205.78.66.126205.78.66.127126
134205.78.66.128/25205.78.66.129 to 205.78.66.254205.78.66.255126
135205.78.67.0/25205.78.67.1 to 205.78.67.126205.78.67.127126
136205.78.67.128/25205.78.67.129 to 205.78.67.254205.78.67.255126
137205.78.68.0/25205.78.68.1 to 205.78.68.126205.78.68.127126
138205.78.68.128/25205.78.68.129 to 205.78.68.254205.78.68.255126
139205.78.69.0/25205.78.69.1 to 205.78.69.126205.78.69.127126
140205.78.69.128/25205.78.69.129 to 205.78.69.254205.78.69.255126
141205.78.70.0/25205.78.70.1 to 205.78.70.126205.78.70.127126
142205.78.70.128/25205.78.70.129 to 205.78.70.254205.78.70.255126
143205.78.71.0/25205.78.71.1 to 205.78.71.126205.78.71.127126
144205.78.71.128/25205.78.71.129 to 205.78.71.254205.78.71.255126
145205.78.72.0/25205.78.72.1 to 205.78.72.126205.78.72.127126
146205.78.72.128/25205.78.72.129 to 205.78.72.254205.78.72.255126
147205.78.73.0/25205.78.73.1 to 205.78.73.126205.78.73.127126
148205.78.73.128/25205.78.73.129 to 205.78.73.254205.78.73.255126
149205.78.74.0/25205.78.74.1 to 205.78.74.126205.78.74.127126
150205.78.74.128/25205.78.74.129 to 205.78.74.254205.78.74.255126
151205.78.75.0/25205.78.75.1 to 205.78.75.126205.78.75.127126
152205.78.75.128/25205.78.75.129 to 205.78.75.254205.78.75.255126
153205.78.76.0/25205.78.76.1 to 205.78.76.126205.78.76.127126
154205.78.76.128/25205.78.76.129 to 205.78.76.254205.78.76.255126
155205.78.77.0/25205.78.77.1 to 205.78.77.126205.78.77.127126
156205.78.77.128/25205.78.77.129 to 205.78.77.254205.78.77.255126
157205.78.78.0/25205.78.78.1 to 205.78.78.126205.78.78.127126
158205.78.78.128/25205.78.78.129 to 205.78.78.254205.78.78.255126
159205.78.79.0/25205.78.79.1 to 205.78.79.126205.78.79.127126
160205.78.79.128/25205.78.79.129 to 205.78.79.254205.78.79.255126
161205.78.80.0/25205.78.80.1 to 205.78.80.126205.78.80.127126
162205.78.80.128/25205.78.80.129 to 205.78.80.254205.78.80.255126
163205.78.81.0/25205.78.81.1 to 205.78.81.126205.78.81.127126
164205.78.81.128/25205.78.81.129 to 205.78.81.254205.78.81.255126
165205.78.82.0/25205.78.82.1 to 205.78.82.126205.78.82.127126
166205.78.82.128/25205.78.82.129 to 205.78.82.254205.78.82.255126
167205.78.83.0/25205.78.83.1 to 205.78.83.126205.78.83.127126
168205.78.83.128/25205.78.83.129 to 205.78.83.254205.78.83.255126
169205.78.84.0/25205.78.84.1 to 205.78.84.126205.78.84.127126
170205.78.84.128/25205.78.84.129 to 205.78.84.254205.78.84.255126
171205.78.85.0/25205.78.85.1 to 205.78.85.126205.78.85.127126
172205.78.85.128/25205.78.85.129 to 205.78.85.254205.78.85.255126
173205.78.86.0/25205.78.86.1 to 205.78.86.126205.78.86.127126
174205.78.86.128/25205.78.86.129 to 205.78.86.254205.78.86.255126
175205.78.87.0/25205.78.87.1 to 205.78.87.126205.78.87.127126
176205.78.87.128/25205.78.87.129 to 205.78.87.254205.78.87.255126
177205.78.88.0/25205.78.88.1 to 205.78.88.126205.78.88.127126
178205.78.88.128/25205.78.88.129 to 205.78.88.254205.78.88.255126
179205.78.89.0/25205.78.89.1 to 205.78.89.126205.78.89.127126
180205.78.89.128/25205.78.89.129 to 205.78.89.254205.78.89.255126
181205.78.90.0/25205.78.90.1 to 205.78.90.126205.78.90.127126
182205.78.90.128/25205.78.90.129 to 205.78.90.254205.78.90.255126
183205.78.91.0/25205.78.91.1 to 205.78.91.126205.78.91.127126
184205.78.91.128/25205.78.91.129 to 205.78.91.254205.78.91.255126
185205.78.92.0/25205.78.92.1 to 205.78.92.126205.78.92.127126
186205.78.92.128/25205.78.92.129 to 205.78.92.254205.78.92.255126
187205.78.93.0/25205.78.93.1 to 205.78.93.126205.78.93.127126
188205.78.93.128/25205.78.93.129 to 205.78.93.254205.78.93.255126
189205.78.94.0/25205.78.94.1 to 205.78.94.126205.78.94.127126
190205.78.94.128/25205.78.94.129 to 205.78.94.254205.78.94.255126
191205.78.95.0/25205.78.95.1 to 205.78.95.126205.78.95.127126
192205.78.95.128/25205.78.95.129 to 205.78.95.254205.78.95.255126
193205.78.96.0/25205.78.96.1 to 205.78.96.126205.78.96.127126
194205.78.96.128/25205.78.96.129 to 205.78.96.254205.78.96.255126
195205.78.97.0/25205.78.97.1 to 205.78.97.126205.78.97.127126
196205.78.97.128/25205.78.97.129 to 205.78.97.254205.78.97.255126
197205.78.98.0/25205.78.98.1 to 205.78.98.126205.78.98.127126
198205.78.98.128/25205.78.98.129 to 205.78.98.254205.78.98.255126
199205.78.99.0/25205.78.99.1 to 205.78.99.126205.78.99.127126
200205.78.99.128/25205.78.99.129 to 205.78.99.254205.78.99.255126
201205.78.100.0/25205.78.100.1 to 205.78.100.126205.78.100.127126
202205.78.100.128/25205.78.100.129 to 205.78.100.254205.78.100.255126
203205.78.101.0/25205.78.101.1 to 205.78.101.126205.78.101.127126
204205.78.101.128/25205.78.101.129 to 205.78.101.254205.78.101.255126
205205.78.102.0/25205.78.102.1 to 205.78.102.126205.78.102.127126
206205.78.102.128/25205.78.102.129 to 205.78.102.254205.78.102.255126
207205.78.103.0/25205.78.103.1 to 205.78.103.126205.78.103.127126
208205.78.103.128/25205.78.103.129 to 205.78.103.254205.78.103.255126
209205.78.104.0/25205.78.104.1 to 205.78.104.126205.78.104.127126
210205.78.104.128/25205.78.104.129 to 205.78.104.254205.78.104.255126
211205.78.105.0/25205.78.105.1 to 205.78.105.126205.78.105.127126
212205.78.105.128/25205.78.105.129 to 205.78.105.254205.78.105.255126
213205.78.106.0/25205.78.106.1 to 205.78.106.126205.78.106.127126
214205.78.106.128/25205.78.106.129 to 205.78.106.254205.78.106.255126
215205.78.107.0/25205.78.107.1 to 205.78.107.126205.78.107.127126
216205.78.107.128/25205.78.107.129 to 205.78.107.254205.78.107.255126
217205.78.108.0/25205.78.108.1 to 205.78.108.126205.78.108.127126
218205.78.108.128/25205.78.108.129 to 205.78.108.254205.78.108.255126
219205.78.109.0/25205.78.109.1 to 205.78.109.126205.78.109.127126
220205.78.109.128/25205.78.109.129 to 205.78.109.254205.78.109.255126
221205.78.110.0/25205.78.110.1 to 205.78.110.126205.78.110.127126
222205.78.110.128/25205.78.110.129 to 205.78.110.254205.78.110.255126
223205.78.111.0/25205.78.111.1 to 205.78.111.126205.78.111.127126
224205.78.111.128/25205.78.111.129 to 205.78.111.254205.78.111.255126
225205.78.112.0/25205.78.112.1 to 205.78.112.126205.78.112.127126
226205.78.112.128/25205.78.112.129 to 205.78.112.254205.78.112.255126
227205.78.113.0/25205.78.113.1 to 205.78.113.126205.78.113.127126
228205.78.113.128/25205.78.113.129 to 205.78.113.254205.78.113.255126
229205.78.114.0/25205.78.114.1 to 205.78.114.126205.78.114.127126
230205.78.114.128/25205.78.114.129 to 205.78.114.254205.78.114.255126
231205.78.115.0/25205.78.115.1 to 205.78.115.126205.78.115.127126
232205.78.115.128/25205.78.115.129 to 205.78.115.254205.78.115.255126
233205.78.116.0/25205.78.116.1 to 205.78.116.126205.78.116.127126
234205.78.116.128/25205.78.116.129 to 205.78.116.254205.78.116.255126
235205.78.117.0/25205.78.117.1 to 205.78.117.126205.78.117.127126
236205.78.117.128/25205.78.117.129 to 205.78.117.254205.78.117.255126
237205.78.118.0/25205.78.118.1 to 205.78.118.126205.78.118.127126
238205.78.118.128/25205.78.118.129 to 205.78.118.254205.78.118.255126
239205.78.119.0/25205.78.119.1 to 205.78.119.126205.78.119.127126
240205.78.119.128/25205.78.119.129 to 205.78.119.254205.78.119.255126
241205.78.120.0/25205.78.120.1 to 205.78.120.126205.78.120.127126
242205.78.120.128/25205.78.120.129 to 205.78.120.254205.78.120.255126
243205.78.121.0/25205.78.121.1 to 205.78.121.126205.78.121.127126
244205.78.121.128/25205.78.121.129 to 205.78.121.254205.78.121.255126
245205.78.122.0/25205.78.122.1 to 205.78.122.126205.78.122.127126
246205.78.122.128/25205.78.122.129 to 205.78.122.254205.78.122.255126
247205.78.123.0/25205.78.123.1 to 205.78.123.126205.78.123.127126
248205.78.123.128/25205.78.123.129 to 205.78.123.254205.78.123.255126
249205.78.124.0/25205.78.124.1 to 205.78.124.126205.78.124.127126
250205.78.124.128/25205.78.124.129 to 205.78.124.254205.78.124.255126
251205.78.125.0/25205.78.125.1 to 205.78.125.126205.78.125.127126
252205.78.125.128/25205.78.125.129 to 205.78.125.254205.78.125.255126
253205.78.126.0/25205.78.126.1 to 205.78.126.126205.78.126.127126
254205.78.126.128/25205.78.126.129 to 205.78.126.254205.78.126.255126
255205.78.127.0/25205.78.127.1 to 205.78.127.126205.78.127.127126
256205.78.127.128/25205.78.127.129 to 205.78.127.254205.78.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses